| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Functions | Variables
img_project.cpp File Reference

Functions for projections. More...

`#include "Bimage.h"`
`#include "img_project.h"`
`#include "linked_list.h"`
`#include "symmetry.h"`
`#include "Complex.h"`
`#include "Matrix3.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
double | img_compare_one_projection (Bimage *p, Bimage *pref, size_t i, double hires, double lores, double radius, double sigma, Matrix *cc, fft_plan planf, fft_plan planb)
Matrix * | img_compare_projections_driver (Bimage *p, double SNR, double hires, double lores, double shift_limit)
Matrix | img_compare_projections (Bimage *p, double SNR, double hires, double lores, double shift_limit)
| Compares a set of projections from a 3D density map. More...
int | img_compare_projections_lowpass (Bimage *p, double SNR, double shift_limit)
| Compares a set of projections from a 3D density map. More...

## Variables
int | verbose

## Detailed Description

Functions for projections.

Author
  Bernard Heymann

Date
  Created: 20010420
  Modified: 20140506

Definition in file img_project.cpp.

## Function Documentation

double img_compare_one_projection | ( | Bimage * | p,
|  | Bimage * | pref,
|  | size_t | i,
|  | double | hires,
|  | double | lores,
|  | double | radius,
|  | double | sigma,
|  | Matrix * | cc,
|  | fft_plan | planf,
|  | fft_plan | planb
| ) |  |

Definition at line 23 of file img_project.cpp.

Matrix img_compare_projections | ( | Bimage * | p,
|  | double | SNR,
|  | double | hires,
|  | double | lores,
|  | double | shift_limit
| ) |  |

Compares a set of projections from a 3D density map.

Parameters

  *p | the 2D projections.
  SNR | SNR to impose on test projections.
  hires | high resolution limit.
  lores | low resolution limit.
  shift_limit | limit on cross-correlation shift.

Returns
  Matrix matrix with projection comparisons.

Definition at line 98 of file img_project.cpp.

Matrix* img_compare_projections_driver | ( | Bimage * | p,
|  | double | SNR,
|  | double | hires,
|  | double | lores,
|  | double | shift_limit
| ) |  |

Definition at line 47 of file img_project.cpp.

int img_compare_projections_lowpass | ( | Bimage * | p,
|  | double | SNR,
|  | double | shift_limit
| ) |  |

Compares a set of projections from a 3D density map.

Parameters

  *p | the 2D projections.
  SNR | SNR to impose on test projections.
  shift_limit | limit on cross-correlation shift.

Returns
  int 0.

Definition at line 151 of file img_project.cpp.

## Variable Documentation

int verbose